### Name: basicTextGatherer
### Title: Cumulate text across callbacks (from an HTTP response)
### Aliases: basicTextGatherer multiTextGatherer debugGatherer
### Keywords: IO

### ** Examples

  txt = getURL("http://www.omegahat.org/RCurl/index.html", write = basicTextGatherer())

  h = basicTextGatherer()
  txt = getURL("http://www.omegahat.org/RCurl/index.html", write = h$update)
    # Cumulate across pages.
  txt = getURL("http://www.omegahat.org/index.html", write = h$update)

  headers = basicTextGatherer()
  txt = getURL("http://www.omegahat.org/RCurl/index.html", header = TRUE, headerfunction = headers$update)

     # Now read the headers.
  headers$value()
  headers$reset()

    # Debugging callback
  d = debugGatherer()
  x = getURL("http://www.omegahat.org/RCurl/index.html", debugfunction = d$update, verbose = TRUE)
  names(d$value())
  d$value()[["headerIn"]]

  uris = c("http://www.omegahat.org/RCurl/index.html", "http://www.omegahat.org/RCurl/philosophy.html")
  g = multiTextGatherer(uris)
  txt = getURIAsynchronous(uris,  write = g)
  names(txt)
  nchar(txt)

   # Now don't use names for the gatherer elements.
  g = multiTextGatherer(length(uris))
  txt = getURIAsynchronous(uris,  write = g)
  names(txt)
  nchar(txt)

## Not run: 
##D Sys.setlocale(,"en_US.latin1")
##D Sys.setlocale(,"en_US.UTF-8")
##D uris = c("http://www.omegahat.org/RCurl/index.html", "http://www.omegahat.org/RCurl/philosophy.html")
##D g = multiTextGatherer(uris)
##D txt = getURIAsynchronous(uris,  write = g)
## End(Not run)



